* llvm.spec.in: update blurb
[oota-llvm.git] / autoconf / AutoRegen.sh
1 #!/bin/sh
2 die () {
3         echo "$@" 1>&2
4         exit 1
5 }
6
7 ### NOTE: ############################################################"
8 ### The below two variables specify the auto* versions
9 ### periods should be escaped with backslash, for use by grep
10 want_autoconf_version='2\.60'
11 want_autoheader_version=$want_autoconf_version
12 ### END NOTE #########################################################"
13
14
15 outfile=configure
16 configfile=configure.ac
17
18 want_autoconf_version_clean=`echo $want_autoconf_version | sed -e 's/\\\\//g'`
19 want_autoheader_version_clean=`echo $want_autoheader_version | sed -e 's/\\\\//g'`
20
21 test -d autoconf && test -f autoconf/$configfile && cd autoconf
22 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
23 autoconf --version | grep $want_autoconf_version > /dev/null
24 test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
25 aclocal --version | grep '^aclocal.*1\.9\.6' > /dev/null
26 test $? -eq 0 || die "Your aclocal was not detected as being 1.9.6"
27 autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
28 test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
29 libtool --version | grep '1\.5\.22' > /dev/null
30 test $? -eq 0 || die "Your libtool was not detected as being 1.5.22"
31 echo ""
32 echo "### NOTE: ############################################################"
33 echo "### If you get *any* warnings from autoconf below you MUST fix the"
34 echo "### scripts in the m4 directory because there are future forward"
35 echo "### compatibility or platform support issues at risk. Please do NOT"
36 echo "### commit any configure script that was generated with warnings"
37 echo "### present. You should get just three 'Regenerating..' lines."
38 echo "######################################################################"
39 echo ""
40 echo "Regenerating aclocal.m4 with aclocal 1.9.6"
41 cwd=`pwd`
42 aclocal --force -I $cwd/m4 || die "aclocal failed"
43 echo "Regenerating configure with autoconf $want_autoconf_version_clean"
44 autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
45 cd ..
46 echo "Regenerating config.h.in with autoheader $want_autoheader_version_clean"
47 autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
48 exit 0